package com.baidu.bce.vod.server.controller;

import com.baidu.bce.vod.server.dto.MediaUploadCompltedRequest;
import com.baidu.bce.vod.server.service.MediaService;
import com.baidubce.services.vod.v2.model.MediaProcessResponse;
import com.baidubce.services.vod.v2.model.MediaUploadRequest;
import com.baidubce.services.vod.v2.model.MediaUploadResponse;
import jakarta.annotation.Resource;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import javax.validation.Valid;

@RestController
@RequestMapping("/medias")
public class MediaController {
    @Resource
    private MediaService mediaService;

    @PostMapping("/upload")
    public MediaUploadResponse createUpload(@RequestBody MediaUploadRequest request) {
        return mediaService.createUpload(request);
    }

    @PostMapping("/upload_done")
    public MediaProcessResponse completeUpload(@RequestBody @Valid MediaUploadCompltedRequest request) {
        return mediaService.completeUpload(request);
    }
}
